<?php
/**
 * Superb transition slideshow
 *
 * @package Superb transition slideshow
 * @subpackage Superb transition slideshow
 * @version   3.6
 * @author    Gopi Ramasamy
 * @copyright Copyright (C) 2010 - 2016 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

$sts_random = "";
$sts_imglink = "";

$sts_imglink = $params->get('sts_imglink');
$sts_width = $params->get('sts_width');
$sts_height = $params->get('sts_height');
$sts_random = $params->get('sts_random');
$sts_pause = $params->get('sts_pause');
$sts_transduration = $params->get('sts_transduration');
$moduleclass_sfx = $params->get('moduleclass_sfx');

if(!is_numeric($sts_width)){$sts_width = 200;} 
if(!is_numeric($sts_height)){$sts_height = 150;} 
if(!is_numeric($sts_pause)){$sts_pause = 2000;}
if(!is_numeric($sts_transduration)){$sts_transduration = 5000;}

if($sts_random  == "Y")
{
	shuffle($images);
}

$sts_package  = "";
foreach ( $images as $images ) 
{
	$sts_path = JURI::base().$folder ."/". $images->name;
	$sts_path = str_replace('\\', '/', @$sts_path);
	if($sts_imglink == "" )
	{
		$sts_imglink =  '#';
	}
	$sts_package = $sts_package .'["'.$sts_path.'", "", "", ""],';
}

?>
<script type="text/javascript">
var flashyshow=new woo_target({ 
	wrapperid: "woo_id_joomla_<?php echo @$moduleclass_sfx; ?>", 
	wrapperclass: "woo_class_joomla_<?php echo @$moduleclass_sfx; ?>", 
	imagearray: [
		<?php echo @$sts_package; ?>
	],
	pause: <?php echo @$sts_pause; ?>, 
	transduration: <?php echo @$sts_transduration; ?> 
})
</script>